<?php

  $debugin              = $decoded['debug'];

  $View = 1;

  if( $View == 1 ){

    $WHERE = "
      WHERE emp.Id != '0'
    ";

    //Empresas
    $Query = "
      SELECT
        emp.Id,
        emp.Clave, emp.Nombre
      FROM KB_Empresas emp
      $WHERE
    ";
    $Emps = $mysqli->query($Query);
    mysqli_data_seek($Emps, 0);
    while($Emp = mysqli_fetch_array($Emps)) {

      $Empresas[] = array(
        'clave'   => $Emp[Clave],
        'nombre'  => $Emp[Nombre]
      );

    }

    //Respuesta
    $Data = array(
      'action'      => 'ok',
      'empresas'    => $Empresas
    );
    echo json_encode($Data, JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT);

  }else{

    $Data = array(
      'action'      => 'error',
      'error'       => 'emp-3',
      'error_msn'   => 'No fue posible listar las empresas'
    );
    echo json_encode($Data, JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT);

  }
?>
